curl https://api.goatpay.com.br/.well-known/oauth-authorization-server
{
"issuer": "https://api.goatpay.com.br",
"authorization_endpoint": "https://api.goatpay.com.br/oauth/authorize",
"token_endpoint": "https://api.goatpay.com.br/oauth/token",
"revocation_endpoint": "https://api.goatpay.com.br/oauth/revoke",
"response_types_supported": ["code"],
"grant_types_supported": ["authorization_code", "refresh_token"],
"code_challenge_methods_supported": ["S256"],
"token_endpoint_auth_methods_supported": ["client_secret_post", "client_secret_basic"],
"scopes_supported": [
"account:read",
"account:write",
"transactions:read",
"transactions:write",
"payments:read",
"payments:write",
"withdrawals:read",
"withdrawals:create",
"webhooks:read",
"webhooks:write"
]
}
Protocolo
Metadados OAuth
Descoberta automática do Authorization Server (RFC 8414).
GET
/
.well-known
/
oauth-authorization-server
curl https://api.goatpay.com.br/.well-known/oauth-authorization-server
{
"issuer": "https://api.goatpay.com.br",
"authorization_endpoint": "https://api.goatpay.com.br/oauth/authorize",
"token_endpoint": "https://api.goatpay.com.br/oauth/token",
"revocation_endpoint": "https://api.goatpay.com.br/oauth/revoke",
"response_types_supported": ["code"],
"grant_types_supported": ["authorization_code", "refresh_token"],
"code_challenge_methods_supported": ["S256"],
"token_endpoint_auth_methods_supported": ["client_secret_post", "client_secret_basic"],
"scopes_supported": [
"account:read",
"account:write",
"transactions:read",
"transactions:write",
"payments:read",
"payments:write",
"withdrawals:read",
"withdrawals:create",
"webhooks:read",
"webhooks:write"
]
}
curl https://api.goatpay.com.br/.well-known/oauth-authorization-server
{
"issuer": "https://api.goatpay.com.br",
"authorization_endpoint": "https://api.goatpay.com.br/oauth/authorize",
"token_endpoint": "https://api.goatpay.com.br/oauth/token",
"revocation_endpoint": "https://api.goatpay.com.br/oauth/revoke",
"response_types_supported": ["code"],
"grant_types_supported": ["authorization_code", "refresh_token"],
"code_challenge_methods_supported": ["S256"],
"token_endpoint_auth_methods_supported": ["client_secret_post", "client_secret_basic"],
"scopes_supported": [
"account:read",
"account:write",
"transactions:read",
"transactions:write",
"payments:read",
"payments:write",
"withdrawals:read",
"withdrawals:create",
"webhooks:read",
"webhooks:write"
]
}
Este endpoint fica na raiz da API (
https://api.goatpay.com.br), fora do prefixo /v1. Não requer autenticação.Authorizations
Response
200 - application/json
Metadados do provedor OAuth.

